Bug 833562 - Review Request: wmudmount - A WindowMaker filesystem mounting dockapp using udisks
Review Request: wmudmount - A WindowMaker filesystem mounting dockapp using u...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 15:15 EDT by Andreas Bierfert
Modified: 2012-07-05 00:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 00:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2012-06-19 15:15:49 EDT
Spec URL: http://fedora.lowlatency.de/review/wmudmount.spec
SRPM URL: http://fedora.lowlatency.de/review/wmudmount-1.13-1.fc17.src.rpm

Description:
wmudmount is a filesystem mounter that uses udisks to handle notification of
new volumes and mounting of the filesystems as a non-root user. It also
includes a mode to display the mounted filesystems with the least free space

Fedora Account System Username: awjb

http://koji.fedoraproject.org/koji/taskinfo?taskID=4178167
Comment 1 Mario Blättermann 2012-07-04 14:14:25 EDT
I'll do the review.

BTW, nice to know that some other people are interested in to package dockapps for Fedora :)
Comment 2 Mario Blättermann 2012-07-04 14:55:24 EDT
New scratch build (because yours was deleted):
http://koji.fedoraproject.org/koji/taskinfo?taskID=4218675

No recognizable issues from rpmlint:

$ rpmlint -i -v *
wmudmount.i686: I: checking
wmudmount.i686: I: enchant-dictionary-not-found en_US
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

wmudmount.i686: I: checking-url http://sourceforge.net/projects/wmudmount/ (timeout 10 seconds)
wmudmount.src: I: checking
wmudmount.src: I: checking-url http://sourceforge.net/projects/wmudmount/ (timeout 10 seconds)
wmudmount.src: I: checking-url http://downloads.sourceforge.net/wmudmount/wmudmount-1.13.tar.gz (timeout 10 seconds)
wmudmount.x86_64: I: checking
wmudmount.x86_64: I: checking-url http://sourceforge.net/projects/wmudmount/ (timeout 10 seconds)
wmudmount-debuginfo.i686: I: checking
wmudmount-debuginfo.i686: I: checking-url http://sourceforge.net/projects/wmudmount/ (timeout 10 seconds)
wmudmount-debuginfo.x86_64: I: checking
wmudmount-debuginfo.x86_64: I: checking-url http://sourceforge.net/projects/wmudmount/ (timeout 10 seconds)
wmudmount.spec: I: checking-url http://downloads.sourceforge.net/wmudmount/wmudmount-1.13.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 0 warnings.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[x] MUST: The file containing the text of the license(s) for the package
    must be included in %doc.
    See below.

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    988955faca6db4f9c4d26f8b79a38744  wmudmount-1.13.tar.gz
    988955faca6db4f9c4d26f8b79a38744  wmudmount-1.13.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
    file
    Exception for dockapps, which are gui apps, but no desktop file is needed

[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[x] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

There's no license file in the package. You should inform upstream development about this. For the time being, you should add one from http://www.gnu.org/licenses/gpl-2.0.txt 

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works properly on my machine (x86_64). Not perfect in windowed mode :( but
    dockapps are actually designed for the dock/slit/wharf.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

As already mentionde, please add a license file.
Moreover, you might shrink the BuildRequires a bit. You may drop libX11-devel, because it is a recursive dependency of gtk2-devel.
Comment 3 Andreas Bierfert 2012-07-04 15:51:00 EDT
I will query upstream, however, I understand the review guide/licensing guide so that only if a license file is included as its own file then the file must be included.
Comment 4 Mario Blättermann 2012-07-04 16:01:53 EDT
Ah, just seen in the packaging guidelines:

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

Means, your package is OK so far. This is because I use a custom review template, and this doesn't include the "and only if" clause. I've never reviewed a package before, which doesn't ship a COPYING or LICENSE file...

However, for better reading you should drop libX11-devel from BR, but this doesn't affect that your package is

APPROVED.
Comment 5 Andreas Bierfert 2012-07-04 16:06:26 EDT
Thanks. I had the same problem when putting the package together. Never had a package w/o a license file before either... I have contacted upstream. Maybe this will be resolved with the next release.

I will clean up the BR after import and before building.
Comment 6 Andreas Bierfert 2012-07-04 16:08:47 EDT
New Package SCM Request
=======================
Package Name: wmudmount
Short Description: A WindowMaker filesystem mounting dockapp using udisks
Owners: awjb
Branches: f17 f16
Comment 7 Gwyn Ciesla 2012-07-04 17:01:50 EDT
Git done (by process-git-requests).
Comment 8 Andreas Bierfert 2012-07-05 00:38:14 EDT
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.